tmm:

  image:
    repository: local.registry.net

  cniNetworks: "spk-ingress/internal-netdevice,spk-ingress/external-netdevice"

  icni2:
    enabled: true

  sessiondb:
    useExternalStorage: "true"

  topologyManager: "true"
  runtimeClassName: "performance-worker-hugepages"

  pod:
    annotations:
    cpu-load-balancing.crio.io: disable

  customEnvVars:
  - name: CONFIG_VIEWER_ENABLE
    value: "true"
  - name: SESSIONDB_DISCOVERY_SENTINEL
    value: "true"
  - name: SESSIONDB_EXTERNAL_SERVICE
    value: "f5-dssm-sentinel.spk-utilities"
  - name: SSL_SERVERSIDE_STORE
    value: "/tls/tmm/mds/clt"
  - name: SSL_TRUSTED_CA_STORE
    value: "/tls/tmm/mds/clt"
  - name: OPENSHIFT_VFIO_RESOURCE_1
    value: "internalNetPolicy"
  - name: OPENSHIFT_VFIO_RESOURCE_2
    value: "externalNetPolicy"

  dynamicRouting:
    enabled: true
    tmmRouting:
      image:
        repository: local.registry.net
      config:
        bgp:
          asn: 64443
          hostname: spk-bgp
          neighbors:
          - ip: 10.20.2.206
            asn: 3535
            ebgpMultihop: 100
            acceptsIPv4: true
            acceptsIPv6: false
            softReconf: true

    tmrouted:
      image:
        repository: local.registry.net

controller:

  image:
    repository: local.registry.net

  f5_lic_helper:
    enabled: true
    rabbitmqNamespace: "spk-telemetry"
    image:
      repository: "local.registry.com"

  watchNamespace: "spk-apps"

  fluentbit_sidecar:
    enabled: true
    image:
      repository: local.registry.net
    fluentd:
      host: 'f5-toda-fluentd.spk-utilities.svc.cluster.local.'

f5-toda-logging:
  enabled: true
  tmstats:
    enabled: true
  fluentd:
    host: 'f5-toda-fluentd.spk-utilities.svc.cluster.local.'

  sidecar:
    image:
      repository: local.registry.net

  tmstats:
    config:
      image:
        repository: local.registry.net

debug:
  image:
    repository: local.registry.net
  persistence:
    enabled: true
    storageClass: "managed-nfs-storage"
